Part Plane

From FreeCAD Documentation
Revision as of 05:46, 19 February 2022 by C4e (talk | contribs) (→‎Scripting)

This documentation is not finished. Please help and contribute documentation.

GuiCommand model explains how commands should be documented. Browse Category:UnfinishedDocu to see more incomplete pages like this one. See Category:Command Reference for all commands.

See WikiPages to learn about editing the wiki pages, and go to Help FreeCAD to learn about other ways in which you can contribute.

Part Plane

Menu location
Part → Create primitives → Plane
Workbenches
Part
Default shortcut
None
Introduced in version
-
See also
Part Primitives

Description

Create a simple parametric plane 10 x 10 mm, with the parameters of position, length, and width. By default, the plane is positioned at the origin (0,0,0).

Screenshot of the Part Plane with default values

Usage

The standard plane is created with its lower left corner at the origin point 0,0,0. To change these parameters, open the Location section and enter the desired values ​​in the respective input fields, or click on the 3D view and select a point, the point coordinates are taken from the fields. In the Direction menu you can also define a standard vector (X, Y or Z) normal to the plane, or click User Defined ... to open the dialog box that allows you to set a different carrier (eg. direction 1.0 , -1 creates a plane inclined 45° with respect to X and Z).

The properties of the object can be edited, either in the Property editor or by double-clicking the object in the Tree view.

Example

Part Plane scripting example.

A Part Plane object with the values of the bottom scripting example are shown here.

Properties

Data

Base

  • DataPlacement (Placement): Placement of feature is defined by below angle, axis and position.
    • DataAngle (Angle): Angle of rotation relative to the below axis.
    • DataAxis: Defines the axis of rotation plane: X, Y, or Z. Defaults to Z axis, Z = 1
    • DataPosition: Position X, Y, Z, relative to the origin 0, 0, 0.
  • DataLabel (String): String name of the object, defaults to 'Plane'. User may rename it.

Plane

  • DataLength (Length): Length is the dimension along the X axis The default value is 10 mm
  • DataWidth (Length): Width is the size of the Y-axis The default value is 10 mm

View

You have the standard properties view.


Notes

Properties

Limitations

Scripting

A Part Plane is created with the addObject() method of the document.

plane = FreeCAD.ActiveDocument.addObject("Part::Plane", "myPlane")
  • Where myPlane is the name for the object. The name must be unique for the entire document.
  • The function returns the newly created object.

The Label is the user editable name for the object. It can be easily changed by

plane.Label = "new myPlaneName"

You can access and modify attributes of the plane object. For example, you may wish to modify the length and width parameters.

plane.Length = 4
plane.Width = 8

You can change its placement with:

plane.Placement = FreeCAD.Placement(FreeCAD.Vector(1, 2, 3), FreeCAD.Rotation(20, 75, 60))